### Name: sga
### Title: Single-path Genetic Algorithm for Variable Selection
### Aliases: sga
### Keywords: optimize multivariate

### ** Examples

## simulate some data
sigma <- 1
N <- 50
d <- 10
truth <- c(2,5,8)
beta <- rep(0,d)
beta[truth] <- c(1,1,1) 
X <- matrix(rnorm(N*d), N, d)
y <- X %*% beta + sigma*rnorm(N)

## get a rough idea of how many generations are needed for
## the evolutionary algorithm to converge (in the entropy sense) 
check=numeric(5)
for (i in 1:5){
 check[i] = sga(y, X, N=200, check.convg=TRUE)$ans
}
round(mean(check))
## if round(mean(check)) above is equal to 20, then one often runs
## just 10 generations in each parallel universe to prevent each path
## from converging ...

## run a long evolutionary path and identify the best solution, 
## but this is often not too useful ... however, from the example
## below, you will see that, if evolution has converged in the
## entropy sense, then $best and $combo.gene are not
## going to be very different ...
stuff<-sga(y, X, N=200)
stuff$best
round(stuff$combo.gene)



